<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceConfiguration Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="struct_xs_device_configuration-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceConfiguration Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Structure containing a full device configuration as returned by the ReqConfig message.  
 <a href="struct_xs_device_configuration.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8cfac1bb4b1ba926f796c5fccb22edb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a8cfac1bb4b1ba926f796c5fccb22edb3">XsDeviceConfiguration</a> (uint16_t numberOfDevs=0)</td></tr>
<tr class="memdesc:a8cfac1bb4b1ba926f796c5fccb22edb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8cfac1bb4b1ba926f796c5fccb22edb3">More...</a><br /></td></tr>
<tr class="separator:a8cfac1bb4b1ba926f796c5fccb22edb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef8557ce1786f8dafc74540c91e9ea9e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#aef8557ce1786f8dafc74540c91e9ea9e">XsDeviceConfiguration</a> (const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> &amp;other)</td></tr>
<tr class="memdesc:aef8557ce1786f8dafc74540c91e9ea9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#aef8557ce1786f8dafc74540c91e9ea9e">More...</a><br /></td></tr>
<tr class="separator:aef8557ce1786f8dafc74540c91e9ea9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8acb4bd3c31247cbc5aef3932e30ca0"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#af8acb4bd3c31247cbc5aef3932e30ca0">operator=</a> (const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> &amp;other)</td></tr>
<tr class="memdesc:af8acb4bd3c31247cbc5aef3932e30ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assign <em>other</em> to this device configuaration.  <a href="#af8acb4bd3c31247cbc5aef3932e30ca0">More...</a><br /></td></tr>
<tr class="separator:af8acb4bd3c31247cbc5aef3932e30ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9a1de4c7fb4261e24dd97dff29180bf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#ac9a1de4c7fb4261e24dd97dff29180bf">~XsDeviceConfiguration</a> ()</td></tr>
<tr class="memdesc:ac9a1de4c7fb4261e24dd97dff29180bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac9a1de4c7fb4261e24dd97dff29180bf">More...</a><br /></td></tr>
<tr class="separator:ac9a1de4c7fb4261e24dd97dff29180bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38e1a2caf6bcc08add2af6b2ae78ab9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a38e1a2caf6bcc08add2af6b2ae78ab9e">clear</a> ()</td></tr>
<tr class="memdesc:a38e1a2caf6bcc08add2af6b2ae78ab9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears and frees data.  <a href="#a38e1a2caf6bcc08add2af6b2ae78ab9e">More...</a><br /></td></tr>
<tr class="separator:a38e1a2caf6bcc08add2af6b2ae78ab9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2aca11dc619bf4280d9af82d5c8e094"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#af2aca11dc619bf4280d9af82d5c8e094">empty</a> () const </td></tr>
<tr class="memdesc:af2aca11dc619bf4280d9af82d5c8e094"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if this object is empty.  <a href="#af2aca11dc619bf4280d9af82d5c8e094">More...</a><br /></td></tr>
<tr class="separator:af2aca11dc619bf4280d9af82d5c8e094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a931a2d7f15dc2892cff73409677590ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a931a2d7f15dc2892cff73409677590ad">readFromMessage</a> (const <a class="el" href="struct_xs_message.html">XsMessage</a> &amp;msg)</td></tr>
<tr class="memdesc:a931a2d7f15dc2892cff73409677590ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets up a <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a> based upon <em>msg</em>.  <a href="#a931a2d7f15dc2892cff73409677590ad">More...</a><br /></td></tr>
<tr class="separator:a931a2d7f15dc2892cff73409677590ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ecab7812838844d5755d916cd470070"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a3ecab7812838844d5755d916cd470070">writeToMessage</a> (<a class="el" href="struct_xs_message.html">XsMessage</a> &amp;msg) const </td></tr>
<tr class="memdesc:a3ecab7812838844d5755d916cd470070"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a message <em>msg</em> that represents the XsDeviceConfiguration.  <a href="#a3ecab7812838844d5755d916cd470070">More...</a><br /></td></tr>
<tr class="separator:a3ecab7812838844d5755d916cd470070"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d06db9aef459c177d1bbe0c950926a3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a5d06db9aef459c177d1bbe0c950926a3">containsDevice</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId)</td></tr>
<tr class="memdesc:a5d06db9aef459c177d1bbe0c950926a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this contains device info for <em>deviceId</em>.  <a href="#a5d06db9aef459c177d1bbe0c950926a3">More...</a><br /></td></tr>
<tr class="separator:a5d06db9aef459c177d1bbe0c950926a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6e0e46f415b78db892fbda79186426b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#ac6e0e46f415b78db892fbda79186426b">deviceInfo</a> (const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;deviceId)</td></tr>
<tr class="memdesc:ac6e0e46f415b78db892fbda79186426b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The deviceInfo for the <em>deviceId</em>.  <a href="#ac6e0e46f415b78db892fbda79186426b">More...</a><br /></td></tr>
<tr class="separator:ac6e0e46f415b78db892fbda79186426b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9437060dd2e8866c9b69e8eec32198e0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a9437060dd2e8866c9b69e8eec32198e0">deviceInfo</a> (XsSize busId)</td></tr>
<tr class="memdesc:a9437060dd2e8866c9b69e8eec32198e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The device info for the device at <em>busId</em>.  <a href="#a9437060dd2e8866c9b69e8eec32198e0">More...</a><br /></td></tr>
<tr class="separator:a9437060dd2e8866c9b69e8eec32198e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a531f035e7f6b6cd783093f444fc4178a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a531f035e7f6b6cd783093f444fc4178a">deviceInfo</a> (XsSize busId) const </td></tr>
<tr class="memdesc:a531f035e7f6b6cd783093f444fc4178a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The device info for the device at <em>busId</em>.  <a href="#a531f035e7f6b6cd783093f444fc4178a">More...</a><br /></td></tr>
<tr class="separator:a531f035e7f6b6cd783093f444fc4178a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab33172b7e4d90719b1a9e44ca6047feb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_xs_master_device_configuration.html">XsMasterDeviceConfiguration</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#ab33172b7e4d90719b1a9e44ca6047feb">masterInfo</a> ()</td></tr>
<tr class="memdesc:ab33172b7e4d90719b1a9e44ca6047feb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The device info for the master device.  <a href="#ab33172b7e4d90719b1a9e44ca6047feb">More...</a><br /></td></tr>
<tr class="separator:ab33172b7e4d90719b1a9e44ca6047feb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bf2b249e4bc8ef386ba1e89edf00ea3"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="struct_xs_master_device_configuration.html">XsMasterDeviceConfiguration</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a7bf2b249e4bc8ef386ba1e89edf00ea3">masterInfo</a> () const </td></tr>
<tr class="memdesc:a7bf2b249e4bc8ef386ba1e89edf00ea3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The device info for the master device.  <a href="#a7bf2b249e4bc8ef386ba1e89edf00ea3">More...</a><br /></td></tr>
<tr class="separator:a7bf2b249e4bc8ef386ba1e89edf00ea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf83a4b9ac4a5547c55594a09a75bbe8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#adf83a4b9ac4a5547c55594a09a75bbe8">setNumberOfDevices</a> (XsSize count)</td></tr>
<tr class="memdesc:adf83a4b9ac4a5547c55594a09a75bbe8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the number of devices to <em>count</em>.  <a href="#adf83a4b9ac4a5547c55594a09a75bbe8">More...</a><br /></td></tr>
<tr class="separator:adf83a4b9ac4a5547c55594a09a75bbe8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c66a7d2059b89c6936447c8f0e18d0a"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a6c66a7d2059b89c6936447c8f0e18d0a">numberOfDevices</a> () const </td></tr>
<tr class="memdesc:a6c66a7d2059b89c6936447c8f0e18d0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current number of devices.  <a href="#a6c66a7d2059b89c6936447c8f0e18d0a">More...</a><br /></td></tr>
<tr class="separator:a6c66a7d2059b89c6936447c8f0e18d0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4956c24e274c8f4fe1e64d9d08e7e8c"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#ad4956c24e274c8f4fe1e64d9d08e7e8c">deviceCount</a> () const </td></tr>
<tr class="memdesc:ad4956c24e274c8f4fe1e64d9d08e7e8c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current number of devices.  <a href="#ad4956c24e274c8f4fe1e64d9d08e7e8c">More...</a><br /></td></tr>
<tr class="separator:ad4956c24e274c8f4fe1e64d9d08e7e8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a9958fdce886d83d24cccf145d4610f49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9958fdce886d83d24cccf145d4610f49"></a>
<a class="el" href="struct_xs_master_device_configuration.html">XsMasterDeviceConfiguration</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a9958fdce886d83d24cccf145d4610f49">m_masterInfo</a></td></tr>
<tr class="memdesc:a9958fdce886d83d24cccf145d4610f49"><td class="mdescLeft">&#160;</td><td class="mdescRight">The master info. <br /></td></tr>
<tr class="separator:a9958fdce886d83d24cccf145d4610f49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8db0532e5aa978833e514bc227804540"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8db0532e5aa978833e514bc227804540"></a>
const uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#a8db0532e5aa978833e514bc227804540">m_numberOfDevices</a></td></tr>
<tr class="memdesc:a8db0532e5aa978833e514bc227804540"><td class="mdescLeft">&#160;</td><td class="mdescRight">The currently allocated number of devices. <br /></td></tr>
<tr class="separator:a8db0532e5aa978833e514bc227804540"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8e5562d243e5a72fe326c0ebc402230"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8e5562d243e5a72fe326c0ebc402230"></a>
<a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a> *const&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_configuration.html#ad8e5562d243e5a72fe326c0ebc402230">m_deviceInfo</a></td></tr>
<tr class="memdesc:ad8e5562d243e5a72fe326c0ebc402230"><td class="mdescLeft">&#160;</td><td class="mdescRight">The list of device infos. <br /></td></tr>
<tr class="separator:ad8e5562d243e5a72fe326c0ebc402230"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:gaaf7db34fdc4f11bbad4aa6cc084013f0"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaaf7db34fdc4f11bbad4aa6cc084013f0">XsDeviceConfiguration_construct</a> (<a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *)</td></tr>
<tr class="memdesc:gaaf7db34fdc4f11bbad4aa6cc084013f0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the XsDeviceConfiguration object. <br /></td></tr>
<tr class="separator:gaaf7db34fdc4f11bbad4aa6cc084013f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f82f23864ce7afecff683cd244e62b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga3f82f23864ce7afecff683cd244e62b1">XsDeviceConfiguration_assign</a> (<a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *, XsSize <a class="el" href="struct_xs_device_configuration.html#a6c66a7d2059b89c6936447c8f0e18d0a">numberOfDevices</a>, const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *src)</td></tr>
<tr class="memdesc:ga3f82f23864ce7afecff683cd244e62b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reinitializes the XsDeviceConfiguration with space for <em>numberOfDevices</em> devices and copies them from <em>src</em>.  <a href="group__cinterface.html#ga3f82f23864ce7afecff683cd244e62b1">More...</a><br /></td></tr>
<tr class="separator:ga3f82f23864ce7afecff683cd244e62b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8512c801c9ba9226bd59379b8112a7c8"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga8512c801c9ba9226bd59379b8112a7c8">XsDeviceConfiguration_destruct</a> (<a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *)</td></tr>
<tr class="memdesc:ga8512c801c9ba9226bd59379b8112a7c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears and frees data in the XsDeviceConfiguration. <br /></td></tr>
<tr class="separator:ga8512c801c9ba9226bd59379b8112a7c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae75e3b6787af92d24e0661bfa60eb906"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gae75e3b6787af92d24e0661bfa60eb906">XsDeviceConfiguration_copy</a> (<a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *copy, <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> const *src)</td></tr>
<tr class="memdesc:gae75e3b6787af92d24e0661bfa60eb906"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy the XsDeviceConfiguration to <em>copy</em>. <br /></td></tr>
<tr class="separator:gae75e3b6787af92d24e0661bfa60eb906"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1edca1236b69b9dd0253c9ee218a0108"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga1edca1236b69b9dd0253c9ee218a0108">XsDeviceConfiguration_empty</a> (const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *)</td></tr>
<tr class="memdesc:ga1edca1236b69b9dd0253c9ee218a0108"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a> is empty.  <a href="group__cinterface.html#ga1edca1236b69b9dd0253c9ee218a0108">More...</a><br /></td></tr>
<tr class="separator:ga1edca1236b69b9dd0253c9ee218a0108"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9938ca9ab7f27e7638e6d3b6f31821c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gac9938ca9ab7f27e7638e6d3b6f31821c">XsDeviceConfiguration_readFromMessage</a> (<a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *, const <a class="el" href="struct_xs_message.html">XsMessage</a> *msg)</td></tr>
<tr class="memdesc:gac9938ca9ab7f27e7638e6d3b6f31821c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets up a <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a> based upon <em>msg</em>.  <a href="group__cinterface.html#gac9938ca9ab7f27e7638e6d3b6f31821c">More...</a><br /></td></tr>
<tr class="separator:gac9938ca9ab7f27e7638e6d3b6f31821c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ced1d8bb9944a0dae2a91ab9eb8f3ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga4ced1d8bb9944a0dae2a91ab9eb8f3ed">XsDeviceConfiguration_writeToMessage</a> (const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *, <a class="el" href="struct_xs_message.html">XsMessage</a> *msg)</td></tr>
<tr class="memdesc:ga4ced1d8bb9944a0dae2a91ab9eb8f3ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a message <em>msg</em> that represents the XsDeviceConfiguration.  <a href="group__cinterface.html#ga4ced1d8bb9944a0dae2a91ab9eb8f3ed">More...</a><br /></td></tr>
<tr class="separator:ga4ced1d8bb9944a0dae2a91ab9eb8f3ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7522432b562da58662c06666410cecbc"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga7522432b562da58662c06666410cecbc">XsDeviceConfiguration_findDevice</a> (const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> *, const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> *deviceId)</td></tr>
<tr class="memdesc:ga7522432b562da58662c06666410cecbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a (naive) bus ID if <em>deviceId</em> is available in this configuration, 0 otherwise.  <a href="group__cinterface.html#ga7522432b562da58662c06666410cecbc">More...</a><br /></td></tr>
<tr class="separator:ga7522432b562da58662c06666410cecbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Structure containing a full device configuration as returned by the ReqConfig message. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8cfac1bb4b1ba926f796c5fccb22edb3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsDeviceConfiguration::XsDeviceConfiguration </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>numberOfDevs</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">numberOfDevs</td><td>: The number of devices for which memory should be allocated in the <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a></td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gaaf7db34fdc4f11bbad4aa6cc084013f0" title="Initializes the XsDeviceConfiguration object. ">XsDeviceConfiguration_construct</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aef8557ce1786f8dafc74540c91e9ea9e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsDeviceConfiguration::XsDeviceConfiguration </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Copy constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the object to copy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gae75e3b6787af92d24e0661bfa60eb906" title="Copy the XsDeviceConfiguration to copy. ">XsDeviceConfiguration_copy</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ac9a1de4c7fb4261e24dd97dff29180bf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsDeviceConfiguration::~XsDeviceConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga8512c801c9ba9226bd59379b8112a7c8" title="Clears and frees data in the XsDeviceConfiguration. ">XsDeviceConfiguration_destruct</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a38e1a2caf6bcc08add2af6b2ae78ab9e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceConfiguration::clear </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Clears and frees data. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga8512c801c9ba9226bd59379b8112a7c8" title="Clears and frees data in the XsDeviceConfiguration. ">XsDeviceConfiguration_destruct</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a5d06db9aef459c177d1bbe0c950926a3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceConfiguration::containsDevice </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return true if this contains device info for <em>deviceId</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>the device ID to find in this configuration </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the device is present in the configuration </dd></dl>

</div>
</div>
<a class="anchor" id="ad4956c24e274c8f4fe1e64d9d08e7e8c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsSize XsDeviceConfiguration::deviceCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The current number of devices. </p>
<dl class="section return"><dt>Returns</dt><dd>the number of devices </dd></dl>

</div>
</div>
<a class="anchor" id="ac6e0e46f415b78db892fbda79186426b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a>&amp; XsDeviceConfiguration::deviceInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The deviceInfo for the <em>deviceId</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>the device ID to identify with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>the deviceInfo structure for <em>deviceId</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a9437060dd2e8866c9b69e8eec32198e0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a>&amp; XsDeviceConfiguration::deviceInfo </td>
          <td>(</td>
          <td class="paramtype">XsSize&#160;</td>
          <td class="paramname"><em>busId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The device info for the device at <em>busId</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">busId</td><td>the bus ID of the device for which to return data for</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a reference to the device configuration for the device at <em>busId</em> </dd></dl>

</div>
</div>
<a class="anchor" id="a531f035e7f6b6cd783093f444fc4178a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="struct_xs_mt_device_configuration.html">XsMtDeviceConfiguration</a>&amp; XsDeviceConfiguration::deviceInfo </td>
          <td>(</td>
          <td class="paramtype">XsSize&#160;</td>
          <td class="paramname"><em>busId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The device info for the device at <em>busId</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">busId</td><td>the bus ID of the device for which to return data for</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a const reference to the device configuration for the device at <em>busId</em> </dd></dl>

</div>
</div>
<a class="anchor" id="af2aca11dc619bf4280d9af82d5c8e094"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceConfiguration::empty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Test if this object is empty. </p>
<dl class="section return"><dt>Returns</dt><dd>true if this object is empty </dd></dl>

</div>
</div>
<a class="anchor" id="ab33172b7e4d90719b1a9e44ca6047feb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_xs_master_device_configuration.html">XsMasterDeviceConfiguration</a>&amp; XsDeviceConfiguration::masterInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The device info for the master device. </p>
<dl class="section return"><dt>Returns</dt><dd>a reference to the device configuration for the master device </dd></dl>

</div>
</div>
<a class="anchor" id="a7bf2b249e4bc8ef386ba1e89edf00ea3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="struct_xs_master_device_configuration.html">XsMasterDeviceConfiguration</a>&amp; XsDeviceConfiguration::masterInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The device info for the master device. </p>
<dl class="section return"><dt>Returns</dt><dd>a const reference to the device configuration for the master device </dd></dl>

</div>
</div>
<a class="anchor" id="a6c66a7d2059b89c6936447c8f0e18d0a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsSize XsDeviceConfiguration::numberOfDevices </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The current number of devices. </p>
<dl class="section return"><dt>Returns</dt><dd>the number of devices </dd></dl>

</div>
</div>
<a class="anchor" id="af8acb4bd3c31247cbc5aef3932e30ca0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a>&amp; XsDeviceConfiguration::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_configuration.html">XsDeviceConfiguration</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Assign <em>other</em> to this device configuaration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the object to copy</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a const reference to this object </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gae75e3b6787af92d24e0661bfa60eb906" title="Copy the XsDeviceConfiguration to copy. ">XsDeviceConfiguration_copy</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a931a2d7f15dc2892cff73409677590ad"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceConfiguration::readFromMessage </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_message.html">XsMessage</a> &amp;&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets up a <a class="el" href="struct_xs_device_configuration.html" title="Structure containing a full device configuration as returned by the ReqConfig message. ">XsDeviceConfiguration</a> based upon <em>msg</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td>the message to read the device configuration from</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gac9938ca9ab7f27e7638e6d3b6f31821c" title="Sets up a XsDeviceConfiguration based upon msg. ">XsDeviceConfiguration_readFromMessage</a> </dd></dl>

</div>
</div>
<a class="anchor" id="adf83a4b9ac4a5547c55594a09a75bbe8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceConfiguration::setNumberOfDevices </td>
          <td>(</td>
          <td class="paramtype">XsSize&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the number of devices to <em>count</em>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">count</td><td>the new number of devices to allocate for </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3ecab7812838844d5755d916cd470070"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceConfiguration::writeToMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_message.html">XsMessage</a> &amp;&#160;</td>
          <td class="paramname"><em>msg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a message <em>msg</em> that represents the XsDeviceConfiguration. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">msg</td><td>the message to write the device configuration to</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga4ced1d8bb9944a0dae2a91ab9eb8f3ed" title="Creates a message msg that represents the XsDeviceConfiguration. ">XsDeviceConfiguration_writeToMessage</a> </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
